> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/ads/ads.md).

# Ads

## List all ads

> Returns an array of ad objects, ordered by creation date (newest first).

```json
{"openapi":"3.1.0","info":{"title":"Brand Ads API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"Ad":{"type":"object","properties":{"Id":{"type":"string"},"Name":{"type":"string"},"Description":{"type":"string"},"CampaignId":{"type":"string"},"CampaignName":{"type":"string"},"AdType":{"type":"string","enum":["BANNER","TEXT_LINK","COUPON"]},"LandingPage":{"type":"string"},"MobileFallbacks":{"type":"object","properties":{"ANDROID":{"type":"string"},"IOS":{"type":"string"}}},"CustomAdServingUrl":{"type":"string"},"IabAdUnit":{"type":"string"},"ThirdPartyServableAdCreativeHeight":{"type":"string"},"ThirdPartyServableAdCreativeWidth":{"type":"string"},"BannerAlternativeTag":{"type":"string"},"LinkText":{"type":"string"},"CouponLinkName":{"type":"string"},"GetHtmlCodeType":{"type":"string"},"Labels":{"type":"string"},"AllowDeepLinking":{"type":"string"},"Language":{"type":"string","description":"The language of the ad creative. Possible values: `AFRIKAANS`, `ARABIC`, `BULGARIAN`, `CHINESE`, `CHINESE_TRADITIONAL`, `CZECH`, `DANISH`, `DUTCH`, `ENGLISH`, `ENGLISH_GB`, `ENGLISH_AU`, `ENGLISH_CA`, `ENGLISH_NZ`, `ENGLISH_ZA`, `ESTONIAN`, `FILIPINO`, `FINNISH`, `FRENCH`, `FRENCH_CA`, `GERMAN`, `HEBREW`, `HINDI`, `INDONESIAN`, `ITALIAN`, `JAPANESE`, `KOREAN`, `LATVIAN`, `LITHUANIAN`, `MALAY`, `MALTESE`, `NORWEGIAN`, `PORTUGUESE`, `PORTUGUESE_BR`, `POLISH`, `RUSSIAN`, `SLOVENIAN`, `SPANISH`, `SPANISH_MX`, `SWEDISH`, `THAI`, `TURKISH`, `VIETNAMESE`."},"LimitedTimeStartDate":{"type":"string","format":"date-time"},"LimitedTimeEndDate":{"type":"string","format":"date-time"},"Season":{"type":"string","description":"If the ad has a seasonal promotional theme, this is the season the ad targets. Possible values: `ANZAC_DAY`, `AUGUST_CIVIC_HOLIDAY`, `AUSTRALIA_DAY`, `BACK_TO_SCHOOL`, `BLACK_FRIDAY`, `BOXING_DAY`, `CANADA_DAY`, `CYBER_MONDAY`, `END_OF_FINANCIAL_YEAR`, `FAMILY_DAY`, `FATHERS_DAY`, `GOOD_FRIDAY`, `HALLOWEEN`, `HANUKKAH`, `INDEPENDANCE_DAY`, `LABOR_DAY`, `MEMORIAL_DAY`, `MOTHERS_DAY`, `NEW_YEAR`, `PRESIDENTS_DAY`, `QUEENS_BIRTHDAY`, `REMEMBRANCE_DAY`, `SPRING`, `ST_PATRICKS_DAY`, `SUMMER`, `THANKSGIVING`, `VALENTINES_DAY`, `VICTORIA_DAY`, `WAITANGI_DAY`, `WINTER`, `OTHER`."},"DealId":{"type":"string"},"DealName":{"type":"string"},"DateCreated":{"type":"string","format":"date-time"},"DateLastUpdated":{"type":"string","format":"date-time"},"AdCodeTemplate":{"type":"string"},"CouponAllowCustomPromoCode":{"type":"string"},"CustomisationCharge":{"type":"string"},"MobileReady":{"type":"string"},"PhoneTracking":{"type":"string"},"PromoCodeTracking":{"type":"string"},"TopSeller":{"type":"string"},"RestrictedMediaPartners":{"type":"array","items":{"type":"string"}},"RestrictedMediaPartnerGroups":{"type":"array","items":{"type":"string"}},"DealDescription":{"type":"string"},"DealState":{"type":"string"},"DealType":{"type":"string"},"DealScope":{"type":"string"},"DealProducts":{"type":"array","items":{"type":"string"}},"DealCategories":{"type":"string"},"DiscountType":{"type":"string"},"DiscountAmount":{"type":"string"},"DiscountCurrency":{"type":"string"},"DiscountPercent":{"type":"string"},"DiscountMaximumPercent":{"type":"string"},"DiscountPercentRangeStart":{"type":"string"},"DiscountPercentRangeEnd":{"type":"string"},"Gift":{"type":"string"},"RebateAmount":{"type":"string"},"RebateCurrency":{"type":"string"},"DealDefaultPromoCode":{"type":"string"},"MinimumPurchaseAmount":{"type":"string"},"MinimumPurchaseAmountCurrency":{"type":"string"},"MaximumSavingsAmount":{"type":"string"},"MaximumSavingsCurrency":{"type":"string"},"BogoBuyQuantity":{"type":"string"},"BogoBuyScope":{"type":"string"},"BogoBuyName":{"type":"string"},"BogoBuyImageUrl":{"type":"string"},"BogoGetQuantity":{"type":"string"},"BogoGetScope":{"type":"string"},"BogoGetDiscountType":{"type":"string"},"BogoGetName":{"type":"string"},"BogoGetImageUrl":{"type":"string"},"BogoGetDiscountAmount":{"type":"string"},"BogoGetDiscountCurrency":{"type":"string"},"BogoGetDiscountPercent":{"type":"string"},"PurchaseLimitQuantity":{"type":"string"},"DealStartDate":{"type":"string","format":"date-time"},"DealEndDate":{"type":"string","format":"date-time"},"SynchAdsPromoCodes":{"type":"string"},"DealRestrictedMediaPartners":{"type":"array","items":{"type":"string"}},"DealRestrictedMediaPartnerGroups":{"type":"array","items":{"type":"string"}},"Uri":{"type":"string","format":"uri-reference"}}}}},"paths":{"/Advertisers/{AccountSID}/Ads":{"get":{"operationId":"listAds","tags":["Ads"],"summary":"List all ads","description":"Returns an array of ad objects, ordered by creation date (newest first).","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"query","description":"Filter ads by a specific campaign (program) ID.","schema":{"type":"string"}},{"name":"Type","in":"query","description":"Filter ads by their type.","schema":{"type":"string","enum":["BANNER","TEXT_LINK","COUPON"]}},{"name":"DealId","in":"query","description":"Filter ads associated with a specific deal ID.","schema":{"type":"string"}},{"name":"MobileReady","in":"query","description":"Filter ads based on whether they are optimized for mobile.","schema":{"type":"boolean"}}],"responses":{"200":{"description":"A list of ads.","content":{"application/json":{"schema":{"type":"object","properties":{"@page":{"type":"string"},"Ads":{"type":"array","items":{"$ref":"#/components/schemas/Ad"}}}}}}}}}}}}
```

## Create an ad

> Creates a new ad. Note that for impact.com hosted creative assets, multipart/form-data is required. \
> Only Banner, Coupon, and Text Link ads can be created via API.<br>

```json
{"openapi":"3.1.0","info":{"title":"Brand Ads API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"AdResponse":{"type":"object","properties":{"Status":{"type":"string"},"Uri":{"type":"string","format":"uri-reference"}}}}},"paths":{"/Advertisers/{AccountSID}/Ads":{"post":{"operationId":"createAd","tags":["Ads"],"summary":"Create an ad","description":"Creates a new ad. Note that for impact.com hosted creative assets, multipart/form-data is required. \nOnly Banner, Coupon, and Text Link ads can be created via API.\n","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["Name","CampaignId","AdType","Language"],"properties":{"Name":{"type":"string"},"CampaignId":{"type":"string"},"AdType":{"type":"string","enum":["BANNER","COUPON","TEXT_LINK"]},"CustomAdServingUrl":{"type":"string"},"AdCodeTemplate":{"type":"string"},"CouponLinkName":{"type":"string"},"CouponAllowCustomPromoCode":{"type":"boolean","description":"Whether the ad allows partners to use a custom promo code (instead of the default coupon code)."},"CustomisationCharge":{"type":"number","format":"decimal","description":"The charge applied when partners customise this ad."},"LinkText":{"type":"string"},"Language":{"type":"string","description":"The language of the ad creative. Possible values: `AFRIKAANS`, `ARABIC`, `BULGARIAN`, `CHINESE`, `CHINESE_TRADITIONAL`, `CZECH`, `DANISH`, `DUTCH`, `ENGLISH`, `ENGLISH_GB`, `ENGLISH_AU`, `ENGLISH_CA`, `ENGLISH_NZ`, `ENGLISH_ZA`, `ESTONIAN`, `FILIPINO`, `FINNISH`, `FRENCH`, `FRENCH_CA`, `GERMAN`, `HEBREW`, `HINDI`, `INDONESIAN`, `ITALIAN`, `JAPANESE`, `KOREAN`, `LATVIAN`, `LITHUANIAN`, `MALAY`, `MALTESE`, `NORWEGIAN`, `PORTUGUESE`, `PORTUGUESE_BR`, `POLISH`, `RUSSIAN`, `SLOVENIAN`, `SPANISH`, `SPANISH_MX`, `SWEDISH`, `THAI`, `TURKISH`, `VIETNAMESE`."},"Description":{"type":"string"},"LandingPage":{"type":"string"},"MobileFallbacks.ANDROID":{"type":"string"},"MobileFallbacks.IOS":{"type":"string"},"IabAdUnit":{"type":"string"},"ThirdPartyServableAdCreativeHeight":{"type":"string"},"ThirdPartyServableAdCreativeWidth":{"type":"string"},"BannerAlternativeTag":{"type":"string"},"GetHtmlCodeType":{"type":"string","enum":["HTML_AND_IFRAME","IFRAME_ONLY"]},"Labels":{"type":"string"},"AllowDeepLinking":{"type":"string"},"LimitedTimeStartDate":{"type":"string","format":"date-time"},"LimitedTimeEndDate":{"type":"string","format":"date-time"},"Season":{"type":"string","description":"If the ad has a seasonal promotional theme, this is the season the ad targets. Possible values: `ANZAC_DAY`, `AUGUST_CIVIC_HOLIDAY`, `AUSTRALIA_DAY`, `BACK_TO_SCHOOL`, `BLACK_FRIDAY`, `BOXING_DAY`, `CANADA_DAY`, `CYBER_MONDAY`, `END_OF_FINANCIAL_YEAR`, `FAMILY_DAY`, `FATHERS_DAY`, `GOOD_FRIDAY`, `HALLOWEEN`, `HANUKKAH`, `INDEPENDANCE_DAY`, `LABOR_DAY`, `MEMORIAL_DAY`, `MOTHERS_DAY`, `NEW_YEAR`, `PRESIDENTS_DAY`, `QUEENS_BIRTHDAY`, `REMEMBRANCE_DAY`, `SPRING`, `ST_PATRICKS_DAY`, `SUMMER`, `THANKSGIVING`, `VALENTINES_DAY`, `VICTORIA_DAY`, `WAITANGI_DAY`, `WINTER`, `OTHER`."}}}}}},"responses":{"200":{"description":"Success response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdResponse"}}}}}}}}}
```

## Retrieve an ad

> Retrieves the details of an existing ad using its unique impact.com Ad Id.

```json
{"openapi":"3.1.0","info":{"title":"Brand Ads API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"Ad":{"type":"object","properties":{"Id":{"type":"string"},"Name":{"type":"string"},"Description":{"type":"string"},"CampaignId":{"type":"string"},"CampaignName":{"type":"string"},"AdType":{"type":"string","enum":["BANNER","TEXT_LINK","COUPON"]},"LandingPage":{"type":"string"},"MobileFallbacks":{"type":"object","properties":{"ANDROID":{"type":"string"},"IOS":{"type":"string"}}},"CustomAdServingUrl":{"type":"string"},"IabAdUnit":{"type":"string"},"ThirdPartyServableAdCreativeHeight":{"type":"string"},"ThirdPartyServableAdCreativeWidth":{"type":"string"},"BannerAlternativeTag":{"type":"string"},"LinkText":{"type":"string"},"CouponLinkName":{"type":"string"},"GetHtmlCodeType":{"type":"string"},"Labels":{"type":"string"},"AllowDeepLinking":{"type":"string"},"Language":{"type":"string","description":"The language of the ad creative. Possible values: `AFRIKAANS`, `ARABIC`, `BULGARIAN`, `CHINESE`, `CHINESE_TRADITIONAL`, `CZECH`, `DANISH`, `DUTCH`, `ENGLISH`, `ENGLISH_GB`, `ENGLISH_AU`, `ENGLISH_CA`, `ENGLISH_NZ`, `ENGLISH_ZA`, `ESTONIAN`, `FILIPINO`, `FINNISH`, `FRENCH`, `FRENCH_CA`, `GERMAN`, `HEBREW`, `HINDI`, `INDONESIAN`, `ITALIAN`, `JAPANESE`, `KOREAN`, `LATVIAN`, `LITHUANIAN`, `MALAY`, `MALTESE`, `NORWEGIAN`, `PORTUGUESE`, `PORTUGUESE_BR`, `POLISH`, `RUSSIAN`, `SLOVENIAN`, `SPANISH`, `SPANISH_MX`, `SWEDISH`, `THAI`, `TURKISH`, `VIETNAMESE`."},"LimitedTimeStartDate":{"type":"string","format":"date-time"},"LimitedTimeEndDate":{"type":"string","format":"date-time"},"Season":{"type":"string","description":"If the ad has a seasonal promotional theme, this is the season the ad targets. Possible values: `ANZAC_DAY`, `AUGUST_CIVIC_HOLIDAY`, `AUSTRALIA_DAY`, `BACK_TO_SCHOOL`, `BLACK_FRIDAY`, `BOXING_DAY`, `CANADA_DAY`, `CYBER_MONDAY`, `END_OF_FINANCIAL_YEAR`, `FAMILY_DAY`, `FATHERS_DAY`, `GOOD_FRIDAY`, `HALLOWEEN`, `HANUKKAH`, `INDEPENDANCE_DAY`, `LABOR_DAY`, `MEMORIAL_DAY`, `MOTHERS_DAY`, `NEW_YEAR`, `PRESIDENTS_DAY`, `QUEENS_BIRTHDAY`, `REMEMBRANCE_DAY`, `SPRING`, `ST_PATRICKS_DAY`, `SUMMER`, `THANKSGIVING`, `VALENTINES_DAY`, `VICTORIA_DAY`, `WAITANGI_DAY`, `WINTER`, `OTHER`."},"DealId":{"type":"string"},"DealName":{"type":"string"},"DateCreated":{"type":"string","format":"date-time"},"DateLastUpdated":{"type":"string","format":"date-time"},"AdCodeTemplate":{"type":"string"},"CouponAllowCustomPromoCode":{"type":"string"},"CustomisationCharge":{"type":"string"},"MobileReady":{"type":"string"},"PhoneTracking":{"type":"string"},"PromoCodeTracking":{"type":"string"},"TopSeller":{"type":"string"},"RestrictedMediaPartners":{"type":"array","items":{"type":"string"}},"RestrictedMediaPartnerGroups":{"type":"array","items":{"type":"string"}},"DealDescription":{"type":"string"},"DealState":{"type":"string"},"DealType":{"type":"string"},"DealScope":{"type":"string"},"DealProducts":{"type":"array","items":{"type":"string"}},"DealCategories":{"type":"string"},"DiscountType":{"type":"string"},"DiscountAmount":{"type":"string"},"DiscountCurrency":{"type":"string"},"DiscountPercent":{"type":"string"},"DiscountMaximumPercent":{"type":"string"},"DiscountPercentRangeStart":{"type":"string"},"DiscountPercentRangeEnd":{"type":"string"},"Gift":{"type":"string"},"RebateAmount":{"type":"string"},"RebateCurrency":{"type":"string"},"DealDefaultPromoCode":{"type":"string"},"MinimumPurchaseAmount":{"type":"string"},"MinimumPurchaseAmountCurrency":{"type":"string"},"MaximumSavingsAmount":{"type":"string"},"MaximumSavingsCurrency":{"type":"string"},"BogoBuyQuantity":{"type":"string"},"BogoBuyScope":{"type":"string"},"BogoBuyName":{"type":"string"},"BogoBuyImageUrl":{"type":"string"},"BogoGetQuantity":{"type":"string"},"BogoGetScope":{"type":"string"},"BogoGetDiscountType":{"type":"string"},"BogoGetName":{"type":"string"},"BogoGetImageUrl":{"type":"string"},"BogoGetDiscountAmount":{"type":"string"},"BogoGetDiscountCurrency":{"type":"string"},"BogoGetDiscountPercent":{"type":"string"},"PurchaseLimitQuantity":{"type":"string"},"DealStartDate":{"type":"string","format":"date-time"},"DealEndDate":{"type":"string","format":"date-time"},"SynchAdsPromoCodes":{"type":"string"},"DealRestrictedMediaPartners":{"type":"array","items":{"type":"string"}},"DealRestrictedMediaPartnerGroups":{"type":"array","items":{"type":"string"}},"Uri":{"type":"string","format":"uri-reference"}}}}},"paths":{"/Advertisers/{AccountSID}/Ads/{Id}":{"get":{"operationId":"getAd","tags":["Ads"],"summary":"Retrieve an ad","description":"Retrieves the details of an existing ad using its unique impact.com Ad Id.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"Id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns an ad object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Ad"}}}}}}}}}
```

## Update an ad

> Updates an existing ad with the provided parameters.

```json
{"openapi":"3.1.0","info":{"title":"Brand Ads API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"AdResponse":{"type":"object","properties":{"Status":{"type":"string"},"Uri":{"type":"string","format":"uri-reference"}}}}},"paths":{"/Advertisers/{AccountSID}/Ads/{Id}":{"put":{"operationId":"updateAd","tags":["Ads"],"summary":"Update an ad","description":"Updates an existing ad with the provided parameters.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"Id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"Name":{"type":"string"},"Description":{"type":"string"},"Labels":{"type":"string"},"AllowDeepLinking":{"type":"string"},"LandingPage":{"type":"string"},"Language":{"type":"string","description":"The language of the ad creative. Possible values: `AFRIKAANS`, `ARABIC`, `BULGARIAN`, `CHINESE`, `CHINESE_TRADITIONAL`, `CZECH`, `DANISH`, `DUTCH`, `ENGLISH`, `ENGLISH_GB`, `ENGLISH_AU`, `ENGLISH_CA`, `ENGLISH_NZ`, `ENGLISH_ZA`, `ESTONIAN`, `FILIPINO`, `FINNISH`, `FRENCH`, `FRENCH_CA`, `GERMAN`, `HEBREW`, `HINDI`, `INDONESIAN`, `ITALIAN`, `JAPANESE`, `KOREAN`, `LATVIAN`, `LITHUANIAN`, `MALAY`, `MALTESE`, `NORWEGIAN`, `PORTUGUESE`, `PORTUGUESE_BR`, `POLISH`, `RUSSIAN`, `SLOVENIAN`, `SPANISH`, `SPANISH_MX`, `SWEDISH`, `THAI`, `TURKISH`, `VIETNAMESE`."},"LimitedTimeStartDate":{"type":"string","format":"date-time"},"LimitedTimeEndDate":{"type":"string","format":"date-time"},"BannerAlternativeTag":{"type":"string"},"CustomAdServingUrl":{"type":"string"},"DealId":{"type":"string"},"CouponAllowCustomPromoCode":{"type":"boolean","description":"Whether the ad allows partners to use a custom promo code (instead of the default coupon code)."},"CustomisationCharge":{"type":"number","format":"decimal","description":"The charge applied when partners customise this ad."},"Season":{"type":"string","description":"If the ad has a seasonal promotional theme, this is the season the ad targets. Possible values: `ANZAC_DAY`, `AUGUST_CIVIC_HOLIDAY`, `AUSTRALIA_DAY`, `BACK_TO_SCHOOL`, `BLACK_FRIDAY`, `BOXING_DAY`, `CANADA_DAY`, `CYBER_MONDAY`, `END_OF_FINANCIAL_YEAR`, `FAMILY_DAY`, `FATHERS_DAY`, `GOOD_FRIDAY`, `HALLOWEEN`, `HANUKKAH`, `INDEPENDANCE_DAY`, `LABOR_DAY`, `MEMORIAL_DAY`, `MOTHERS_DAY`, `NEW_YEAR`, `PRESIDENTS_DAY`, `QUEENS_BIRTHDAY`, `REMEMBRANCE_DAY`, `SPRING`, `ST_PATRICKS_DAY`, `SUMMER`, `THANKSGIVING`, `VALENTINES_DAY`, `VICTORIA_DAY`, `WAITANGI_DAY`, `WINTER`, `OTHER`."}}}}}},"responses":{"200":{"description":"Success response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AdResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/ads/ads.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
